# class KDockWidgetAbstractHeader | An abstract base clase for all dockwidget headers (and member of the dockwidget class set). More...
Definition | `#include <kdockwidget.h>`
Inherits | QFrame (qt) [public ]
Inherited by | KDockWidgetHeader
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockWidgetAbstractHeader ( KDockWidget* parent, const char* name = 0L )
- virtual ~KDockWidgetAbstractHeader ()
- virtual void setTopLevel ( bool )
- virtual void saveConfig ( KConfig* )
- virtual void loadConfig ( KConfig* )

## Detailed Description

An abstract base clase for all dockwidget headers (and member of the dockwidget class set). See the class description of KDockWidgetHeader! More or less a minor helper class for the dockwidget class set.

KDockWidgetAbstractHeader ( KDockWidget* parent, const char* name = 0L ) | ### KDockWidgetAbstractHeader

Constructs this.

Parameters:

parent | the parent widget (usually a dockwidget)
name | the object instance name

~KDockWidgetAbstractHeader () | ### ~KDockWidgetAbstractHeader

[virtual]

Destructs this.

void setTopLevel ( bool ) | ### setTopLevel

[virtual]

void saveConfig ( KConfig* ) | ### saveConfig

[virtual]

void loadConfig ( KConfig* ) | ### loadConfig

[virtual]

- Version: $Id: kdockwidget.h,v 1.35 2001/01/29 07:14:45 falkbr Exp $
- Author: Max Judin (documentation: Falk Brettschneider).
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.